Loading...
Searching...
No Matches
casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSUvDistGram.h>`

## Public Member Functions

int | msUvDistGramParseCommand (const MeasurementSet *ms, const String &command)
| Declare the bison parser (is implemented by bison command).
int | msUvDistGramParseCommand (const MeasurementSet *ms, const String &command, Matrix< Double > &selectedUV, Vector< Bool > &units)
void | MSUvDistGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msUvDistGramParseNode ()
| Give the table expression node.
void | msUvDistGramParseDeleteNode ()
Int & | msUvDistGramPosition ()
| Give the current position in the string.
int | msUvDistGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSUvDistGram

### Intended use:

Internal

### Prerequisite

- MSUvDistGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 72 of file MSUvDistGram.h.

## Member Function Documentation

## MSUvDistGramerror()

void casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::MSUvDistGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msUvDistGramInput()

int casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msUvDistGramParseCommand() [1/2]

int casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command )

Declare the bison parser (is implemented by bison command).

## msUvDistGramParseCommand() [2/2]

int casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Matrix< Double > & | selectedUV,
|  | Vector< Bool > & | units )

## msUvDistGramParseDeleteNode()

void casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramParseDeleteNode | ( |  | ) |

## msUvDistGramParseNode()

const TableExprNode * casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramParseNode | ( |  | ) |

Give the table expression node.

## msUvDistGramPosition()

Int & casacore::MSUvDistGram_global_functions_MSUvDistGramFunctions::msUvDistGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSUvDistGram.h